import { jsx as o } from "@emotion/react/jsx-runtime";
import { IconsContainerStyled as l } from "../slots/IconsFormatterSlots.js";
import { renderIcon as n } from "./renderIcon.js";
function m(t) {
  const r = t.filter((e) => e.visible !== !1);
  return r.length === 0 ? null : r.length === 1 ? n(r[0]) : /* @__PURE__ */ o(l, { children: r.map((e, i) => n(e, i)) });
}
export {
  m as renderMultipleIcons
};
